parameters:
    messenger.transport.default_serialization_context: {groups: [messenger]}

framework:
    messenger:

        transports:
            async:
               dsn: 'amqp://%env(MESSENGER_USER)%:%env(MESSENGER_PASSWORD)%@%env(MESSENGER_DOMAIN)%:5672/%env(MESSENGER_VHOST)%/%env(APP_ENV)%'
               retry_strategy:
                  max_retries: 3
                  multiplier: 2

            failed: 'doctrine://default?queue_name=failed'

        failure_transport: failed
